Page MenuHomePhabricator

Replace hardcoded "</$element>" in XML::tags by closeElement($element)
Closed, DeclinedPublic

Description

Author: nico_zeeders

Description:
In Xml.php, function 'tags' calls openElement() next to a hardcoded "</$element>". I think it would be nicer if this is substituted by closeElement($element).

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:28 AM
bzimport set Reference to bz37959.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle set Security to None.
Krinkle removed subscribers: Unknown Object (MLST), Krinkle.
gerritbot added a subscriber: gerritbot.

Change 186756 had a related patch set uploaded (by Ricordisamoa):
Xml::tags(): use closeElement() instead of hardcoded "</$element>"

https://gerrit.wikimedia.org/r/186756

Patch-For-Review

Change 186756 abandoned by Krinkle:
Xml::tags(): use closeElement() instead of hardcoded "</$element>"

Reason:
Closing for now. Refer to T39959.

https://gerrit.wikimedia.org/r/186756

@Ricordisamoa Thanks for writing that patch, but unfortunately I don't think this is a desired change. The existing shortcut was there on purpose.

Krinkle closed this task as Resolved.Jan 27 2015, 9:48 PM
Krinkle updated the task description. (Show Details)
Krinkle removed a project: Patch-For-Review.
Krinkle removed a subscriber: gerritbot.

@Ricordisamoa Thanks for writing that patch, but unfortunately I don't think this is a desired change. The existing shortcut was there on purpose.

I also think it isn't desired.
Maybe "declined"?

@Ricordisamoa Thanks for writing that patch, but unfortunately I don't think this is a desired change. The existing shortcut was there on purpose.

I also think it isn't desired.
Maybe "declined"?

ping?

Krinkle changed the task status from Resolved to Declined.Jul 7 2015, 1:30 PM

It's already closed, but sure. Let's use status Declined then.